Get presigned URLs for upload parts
curl --request POST \
--url https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"part_numbers": [
5000
]
}
'import requests
url = "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts"
payload = { "part_numbers": [5000] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({part_numbers: [5000]})
};
fetch('https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'part_numbers' => [
5000
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts"
payload := strings.NewReader("{\n \"part_numbers\": [\n 5000\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"part_numbers\": [\n 5000\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"part_numbers\": [\n 5000\n ]\n}"
response = http.request(request)
puts response.read_body{
"expires_at": "<string>",
"parts": [
{
"part_number": 0,
"url": "<string>",
"content_length": 0
}
]
}Room Secure Files
Get presigned URLs for upload parts
Step 2 of 3. Signs a PUT URL for each requested part (max 50 per call); each URL accepts exactly content_length bytes and expires at expires_at. Call again for fresh URLs if they expire. Replaying a request with the same Idempotency-Key returns the URLs issued the first time, which may already have expired — use a new key to get fresh URLs.
POST
/
rooms
/
{uuid}
/
blocks
/
{subUuid}
/
secure-uploads
/
{uploadUuid}
/
parts
Get presigned URLs for upload parts
curl --request POST \
--url https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"part_numbers": [
5000
]
}
'import requests
url = "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts"
payload = { "part_numbers": [5000] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({part_numbers: [5000]})
};
fetch('https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'part_numbers' => [
5000
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts"
payload := strings.NewReader("{\n \"part_numbers\": [\n 5000\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"part_numbers\": [\n 5000\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/rooms/{uuid}/blocks/{subUuid}/secure-uploads/{uploadUuid}/parts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"part_numbers\": [\n 5000\n ]\n}"
response = http.request(request)
puts response.read_body{
"expires_at": "<string>",
"parts": [
{
"part_number": 0,
"url": "<string>",
"content_length": 0
}
]
}Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
1-based part numbers to sign (max 50 per request).
Required array length:
1 - 50 elementsRequired range:
1 <= x <= 10000